Add Audit Trail entry

This request adds a system note.

   Click here to learn more about this request

The system logs notes on the actions taken by your users. Note the following when using this request:

Audit logs are used to view changes to settings and entities within your account. This part of the software tracks creations, updates, and deletions made to the settings, loans, customers, source companies, and defaults of your company.

This request will manually create a system note. It does not complete the action that the note is describing, however. As such, caution should be taken when manually adding system notes since it could create confusion when auditing the actions taken on loans.

System notes cannot be manually made within the UI—only the API.

When manually logging a system note, System will be logged as the user and 0.0.0.0 will be logged as the IP address.

For an example of how audit logs work within the UI, take a look at our Global System Notes and System Notes History Changes articles.

Database

For information on audit trail database tables, see the following article:

Database – System Notes Entity (system_note_entity)

{
     "entityType": "Entity.Loan",
     "entityId": 9118,
     "referenceType": "Entity.Collateral",
     "referenceId": 897,
     "operationType": "UPDATE",
     "operationSubType": "systemNote.operationSubtype.crud",
     "noteTitle": "This global system note was made via the API.",
     "noteData": "{\"d\":{\"newValue\":\"Sport\",\"oldValue\":\"Base\"}}"
}
Body Params
string
enum
required
Defaults to Entity.Loan

This determines the primary entity the note is related to.

Allowed:
int32
required

This is the ID of the entity that the note is related to.

string
Defaults to Entity.Collateral

This is the type of nested entity the note is related to.
> For a customer communication note, this will be left null.

int32

This is the ID of the nested entity the note is related to.

string
enum
required
Defaults to UPDATE

This is the type of action that was performed.

Allowed:
string
enum
required
Defaults to systemNote.operationSubtype.crud

This is the specific subtype for the operation.
> This selection will determine how the note is categorized within the software.
> When making a note of an entity being created, updated, or deleted, use systemNote.operationSubtype.crud in this field.

string
required

This is the title of the note.

string
required
Defaults to {"d":{"newValue":"Sport","oldValue":"Base"}}

This is the note field for the system note.
> This field should be formatted as a JSON string, but it's not required.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json